/*
 * C
 *
 * Copyright 2013-2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef DEVICE_H
#define DEVICE_H

#include "microej.h"

/**
 * K65 Unique device ID register (96bits)
 * @see section 13.2.23 through 13.2.25 of the MK65FN2MOVMI18 Reference Manual
 */
#if defined(SIM_UIDH)
#define UNIQUE_DEVICE_ID_SIZE 		(128/8)
#else
#define UNIQUE_DEVICE_ID_SIZE 		(96/8)
#endif

#endif

