/*
 * C
 *
 * Copyright 2013-2014 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef  PIT__H
#define  PIT__H

/*
*********************************************************************************************************
*                                         INCLUDES
*********************************************************************************************************
*/
#include "fsl_pit.h"


/*
*********************************************************************************************************
*                                         DEFINES
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*                                    FUNCTION PROTOTYPES
*********************************************************************************************************
*/
void             PIT_Enable          (void);
void             PIT_Disable         (void);
void             PIT_FreezeEnable    (void);
void             PIT_FreezeDisable   (void);

void             PIT_ChnlTimerEnable (pit_chnl_t channel);
void             PIT_ChnlTimerDisable(pit_chnl_t channel);

void             PIT_ChnlIntEnable   (pit_chnl_t channel);
void             PIT_ChnlIntDisable  (pit_chnl_t channel);

void             PIT_ChnlSetVal      (pit_chnl_t channel,
                                             uint32_t           value);
uint32_t       PIT_ChnlGetCurVal   (pit_chnl_t channel);

void             PIT_ChnlFlagRst     (pit_chnl_t channel);

#endif