/*
 * C
 *
 * Copyright 2015-2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
 
/* Includes ------------------------------------------------------------------*/

#include "FreeRTOS.h"
#include "task.h"
#include "interrupts.h"

/* Public functions ----------------------------------------------------------*/

void OS_SUPPORT_disable_context_switching()
{
  if (interrupt_is_in() == MICROEJ_TRUE)
  {
    portSET_INTERRUPT_MASK_FROM_ISR();
  }
  else
  {
    taskENTER_CRITICAL();
  }
	
}

void OS_SUPPORT_enable_context_switching()
{
  if (interrupt_is_in() == MICROEJ_TRUE)
  {
   portCLEAR_INTERRUPT_MASK_FROM_ISR(0);
  }
  else
  {
    taskEXIT_CRITICAL();
  }	
}
