/**
 * Copyright 2013-2016 IS2T. All rights reserved
 * For demonstration purpose only.
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.microej.fp;

import com.is2t.microej.frontpanel.input.generator.EventGenerator;
import com.is2t.microej.frontpanel.input.listener.PointerListener;

public class PointerListenerImpl implements PointerListener {
	@Override
	public void move(int x, int y) {
		EventGenerator.sendTouchMovedEvent("TOUCH", x, y);
	}

	@Override
	public void press(int x, int y, int button) {
		EventGenerator.sendTouchPressedEvent("TOUCH", x, y);
	}

	@Override
	public void release(int x, int y, int button) {
		EventGenerator.sendTouchReleasedEvent("TOUCH");
	}
}
