/*
 * C
 *
 * Copyright 2015-2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef _UART_H_
#define _UART_H_

#include <stdint.h>

// Define the mapping between platform ids and index in BSP COM table
typedef enum
{
	UART0_INDEX = 0,
} COM_TypeDef;

typedef enum
{
	UART0_CLK = SYS_CLK,
} COM_ClockDef;

/* Defines -------------------------------------------------------------------*/

void    UART_initialize(COM_TypeDef comIndex);
int32_t UART_configureDevice(COM_TypeDef comIndex, uint32_t baudrate, uint16_t bitsperchar, uint16_t stopbits, uint16_t parity);


#endif // _UART_H_
